### Method

# Foundry TextBuffer add_commit_notify

since: 1.1

#### Declaration [src]

    guint
    foundry_text_buffer_add_commit_notify (
      FoundryTextBuffer* self,
      FoundryTextBufferNotifyFlags flags,
      FoundryTextBufferCommitNotify commit_notify,
      gpointer user_data,
      GDestroyNotify destroy
    )

#### Description [src]

Adds a new commit notify handler.

If the implementation does not support this, zero is returned.

Available since: 1.1

#### Parameters

`flags`

  Type: `FoundryTextBufferNotifyFlags`

  Non-zero flags to dispatch.

`commit_notify`

  Type: `FoundryTextBufferCommitNotify`

  No description available.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`destroy`

  Type: `GDestroyNotify`

  No description available.

#### Return value

Type: `guint`

A non-zero commit handler id if supported; otherwise zero.